require('Data.loveframes')
love.graphics.setMode(640,480)

TITLE = {}
TITLE.background = love.graphics.newImage("Graphics/Title")
TITLE.size = {w=100, h=30}
TITLE.optionsX = 260
TITLE.optionsY = 180
TITLE.spacing = 40
TITLE.buttons = {}
TITLE.buttons.instances = {}
TITLE.buttons.text = {"New Game", "Load Game", "Exit"}
TITLE.buttons.functions = {

function()
	print('NG')
end,

function()
	print('LG')
end,

function()
	print('E')
end
}

function love.load()
	local button

	for i, v in ipairs(TITLE.buttons.text) do
  	button = loveframes.Create("button")
		button:SetSize(TITLE.size.w, TITLE.size.h)
		button:SetPos(TITLE.optionsX, TITLE.optionsY + TITLE.spacing * (i-1))
		button:SetText(v)
		button.OnClick = TITLE.buttons.functions[i]
  end

end

function love.update(dt)
	loveframes.update(dt)
end

function love.draw()
	love.graphics.draw(TITLE.background)
	loveframes.draw()
end
 
function love.mousepressed(x, y, button)
	loveframes.mousepressed(x, y, button)
end
 
function love.mousereleased(x, y, button)
	loveframes.mousereleased(x, y, button)
end
 
function love.keypressed(key, unicode)
	loveframes.keypressed(key, unicode)
end
 
function love.keyreleased(key)
	loveframes.keyreleased(key)
end

